Bug 2013 - undefined references to secrets_*
undefined references to secrets_*
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.7
All Linux
: P3 critical
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 11:34 UTC by Lars Müller
Modified: 2005-08-24 10:17 UTC (History)
0 users

See Also:


Attachments
Fix for Makefile.in (566 bytes, patch)
2004-11-10 11:36 UTC, Lars Müller
no flags Details
Second try of the fix for libsmbclient (1.01 KB, patch)
2004-11-10 16:26 UTC, Lars Müller
no flags Details
Fix for the libsmbclient testsuite to tun out of the box while building a package. (5.19 KB, patch)
2004-11-10 17:52 UTC, Lars Müller
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Müller 2004-11-10 11:34:24 UTC
libsmbclient isn't longer useable for the KDE smb KIO as it is delivered
with Samba 3.0.8.
Comment 1 Lars Müller 2004-11-10 11:36:32 UTC
Created attachment 763 [details]
Fix for Makefile.in
Comment 2 Guenther Deschner 2004-11-10 14:49:45 UTC
Applied, thanks.
Comment 3 Guenther Deschner 2004-11-10 14:52:58 UTC
closing
Comment 4 Lars Müller 2004-11-10 16:09:50 UTC
The current fix ia at the wrong location in Makefile.in.  It must be at added to
the LIBSMBCLIENT_OBJ to ensure that it was linked as part of the
LIBSMBCLIENT_PICOBJS.
Comment 5 Lars Müller 2004-11-10 16:26:54 UTC
Created attachment 764 [details]
Second try of the fix for libsmbclient
Comment 6 Lars Müller 2004-11-10 17:15:59 UTC
Second patch tested successfully on different SuSE Linux versions (UL 1, SLES 9,
8.1 - 9.2) and all architectures (x86, x86_64, ia64, ppc, ppc64, s390, s390x).
Comment 7 Lars Müller 2004-11-10 17:52:41 UTC
Created attachment 765 [details]
Fix for the libsmbclient testsuite to tun out of the box while building a package.

a) Ensure to create the needed BIN_DIR.
b) Use the currently build library and header files.
Comment 8 Gerald (Jerry) Carter 2004-11-11 13:39:45 UTC
guenther or Lars,

I've seen several checkins related to this bug.  What is left 
to close it out ?  Just the testsuite changes ?
Comment 9 Lars Müller 2004-11-11 14:26:12 UTC
Only the testsuite changes are missing.
Comment 10 Guenther Deschner 2004-11-12 15:05:08 UTC
applied, thanks.
Comment 11 Gerald (Jerry) Carter 2005-08-24 10:17:57 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.